Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipOutcomeMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipOutcomeMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipOutcomeMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Outcome Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getActRelationshipOutcomeMember1()`

Field Summary
`static int` | `GOAL` The 'GOAL' literal value.
`static ActRelationshipOutcomeMember1` | `GOAL_LITERAL` The 'GOAL' literal object.
`static int` | `OUTC` The 'OUTC' literal value.
`static ActRelationshipOutcomeMember1` | `OUTC_LITERAL` The 'OUTC' literal object.
`static int` | `RISK` The 'RISK' literal value.
`static ActRelationshipOutcomeMember1` | `RISK_LITERAL` The 'RISK' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Outcome Member1' enumerators.

Method Summary
`static ActRelationshipOutcomeMember1` | `get(int value)` Returns the 'Act Relationship Outcome Member1' literal with the specified integer value.
`static ActRelationshipOutcomeMember1` | `get(java.lang.String literal)` Returns the 'Act Relationship Outcome Member1' literal with the specified literal value.
`static ActRelationshipOutcomeMember1` | `getByName(java.lang.String name)` Returns the 'Act Relationship Outcome Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OUTC

    public static final int OUTC

  The 'OUTC' literal value.

  If the meaning of 'OUTC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUTC_LITERAL`, Constant Field Values

### GOAL

    public static final int GOAL

  The 'GOAL' literal value.

  If the meaning of 'GOAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GOAL_LITERAL`, Constant Field Values

### RISK

    public static final int RISK

  The 'RISK' literal value.

  If the meaning of 'RISK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RISK_LITERAL`, Constant Field Values

### OUTC_LITERAL

    public static final ActRelationshipOutcomeMember1 OUTC_LITERAL

  The 'OUTC' literal object.

  See Also:
    `OUTC`

### GOAL_LITERAL

    public static final ActRelationshipOutcomeMember1 GOAL_LITERAL

  The 'GOAL' literal object.

  See Also:
    `GOAL`

### RISK_LITERAL

    public static final ActRelationshipOutcomeMember1 RISK_LITERAL

  The 'RISK' literal object.

  See Also:
    `RISK`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Outcome Member1' enumerators.

Method Detail

### get

    public static ActRelationshipOutcomeMember1 get(java.lang.String literal)

  Returns the 'Act Relationship Outcome Member1' literal with the specified literal value.

### getByName

    public static ActRelationshipOutcomeMember1 getByName(java.lang.String name)

  Returns the 'Act Relationship Outcome Member1' literal with the specified name.

### get

    public static ActRelationshipOutcomeMember1 get(int value)

  Returns the 'Act Relationship Outcome Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD